Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 524022 - x11-drivers/{xf86-video-ati-7.4.0[glamor],xf86-input-synaptics-1.7.6}: configure failure with recent glibc
Summary: x11-drivers/{xf86-video-ati-7.4.0[glamor],xf86-input-synaptics-1.7.6}: config...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo X packagers
URL: http://cgit.freedesktop.org/xorg/driv...
Whiteboard:
Keywords:
Depends on:
Blocks: 530652
  Show dependency tree
 
Reported: 2014-09-29 12:47 UTC by Heiko
Modified: 2015-01-05 18:59 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko 2014-09-29 12:47:28 UTC
Configure of x11-drivers/xf86-video-ati-7.4.0::gentoo[glamor] fails due to inproper include ordering. Results in HAVE_STRNDUP being undefined and

"
[..]
/usr/include/xorg/os.h:579:2: error: expected identifier or '(' before
'__exten
 strndup(const char *str, size_t n);
[..]
"

/usr/include/xorg/os.h:579:
"
#ifndef HAVE_STRNDUP
extern _X_EXPORT char *
strndup(const char *str, size_t n);
#endif
"

Already fixed upstream [1], though I'm not sure when there's a new release to be expected including the fix.

Basically a heads up for newest glibc. 


[1] http://cgit.freedesktop.org/xorg/driver/xf86-video-ati/commit/?id=9b54caf6509a9c02dd17c9c43d6be8f7ddc98054

Reproducible: Always

Actual Results:  
[..]
checking for LIBUDEV... yes
checking whether to include GLAMOR support... checking glamor.h usability... no
checking glamor.h presence... yes
configure: WARNING: glamor.h: present but cannot be compiled
configure: WARNING: glamor.h:     check for missing prerequisite headers?
configure: WARNING: glamor.h: see the Autoconf documentation
configure: WARNING: glamor.h:     section "Present But Cannot Be Compiled"
configure: WARNING: glamor.h: proceeding with the compiler's result
configure: WARNING:     ## ---------------------------------------------------------------------- ##
configure: WARNING:     ## Report this to https://bugs.freedesktop.org/enter_bug.cgi?product=xorg ##
configure: WARNING:     ## ---------------------------------------------------------------------- ##
checking for glamor.h... no
checking for LIBGLAMOR... no
configure: error: Package requirements (glamor >= 0.6.0) were not met:

No package 'glamor' found
[..]

http://cgit.freedesktop.org/xorg/driver/xf86-video-ati/commit/?id=9b54caf6509a9c02dd17c9c43d6be8f7ddc98054


Portage 2.2.14_rc1 (python 2.7.8-final-0, default/linux/amd64/13.0/desktop/kde/systemd, gcc-4.8.3, glibc-2.20, 3.16.3 x86_64)
=================================================================
System uname: Linux-3.16.3-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q6600_@_2.40GHz-with-gentoo-2.2
KiB Mem:     8171252 total,   2638332 free
KiB Swap:    3940348 total,   3103828 free
Timestamp of tree: Mon, 29 Sep 2014 10:30:01 +0000
ld GNU ld (GNU Binutils) 2.24
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p50
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.8
dev-util/ccache:          3.1.9-r3
dev-util/cmake:           3.0.2
dev-util/pkgconfig:       0.28-r2
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13.1
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2-r1
sys-devel/make:           4.0-r1
sys-kernel/linux-headers: 3.16 (virtual/os-headers)
sys-libs/glibc:           2.20
Repositories: gentoo steam-overlay mrueg x11 hasufell gamerlay
Installed sets: @hwm, @kde4, @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-Wno-error -Wno-unused-parameter"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-Wno-error -Wno-unused-parameter"
DISTDIR="/portage/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs cgroup clean-logs compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news nodoc noinfo parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1,--as-needed,--enable-new-dtags,--hash-style=gnu,--sort-common,-z,relro"
MAKEOPTS="-j5"
PKGDIR="/buid/p/packages"
PORTAGE_COMPRESS="true"
PORTAGE_COMPRESS_FLAGS=""
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--include-from=/etc/portage/rsync_includes --delete-excluded --prune-empty-dirs"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/portage/ram"
PORTDIR="/portage/tree"
PORTDIR_OVERLAY="/portage/overlays/layman/steam /portage/overlays/layman/mrueg /portage/overlays/layman/x11 /portage/overlays/layman/hasufell /portage/overlays/layman/gamerlay"
USE="X a52 aac acl acpi amd64 bash-completion branding bzip2 cairo cdr cli cracklib crypt cups cxx dbus declarative dri dri2 dri3 drm dts dvd dvdr encode exif fam flac gdbm gif glamor gmp inotify jpeg kde lcms libkms libnotify mad mmx mmxext mng modules mp3 mp4 mpeg multilib ncurses networkmanager nptl ogg opengl openmp osmesa pam pango pcre pdf phonon plasma png policykit ppds pulseaudio qt3support qt4 readline sdl session smp spell sse sse2 sse3 ssl ssse3 svg systemd theora threads tiff truetype udev udisks unicode upower usb vorbis vpx webm webp x264 x265 xcb xcomposite xml xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel" CALLIGRA_FEATURES="words flow sheets stage krita karbon author" CURL_SSL="openssl" ELIBC="glibc" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev roccat_lua" KERNEL="linux" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" QEMU_SOFTMMU_TARGETS="arm i386 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="r600"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, SYNC, USE_PYTHON
Comment 1 Alexander Tsoy 2014-10-05 21:49:24 UTC
(In reply to Heiko from comment #0)

> Already fixed upstream [1], though I'm not sure when there's a new release
> to be expected including the fix.

Upstream released 7.5.0 4 days ago.
Comment 2 Heiko 2014-10-07 09:43:20 UTC
Same problem with xf86-input-synaptics. Also fixed upstream master [1], though also no release yet.

Using the patch from [1] works for xf86-input-synaptics-1.7.6 (the 1.8+ releases being masked).



[1] http://cgit.freedesktop.org/xorg/driver/xf86-input-synaptics/commit/?id=96e60a4ea242d2decf109835981ae186cc36f642
Comment 3 SpanKY gentoo-dev 2014-10-16 16:21:14 UTC
xf86-video-ati-7.5.0 is in the tree by way of bug 524884
Comment 4 Pacho Ramos gentoo-dev 2015-01-05 18:59:29 UTC
We have versions in the tree that should fix this and are listed in stabilization list from bug 530652